Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.writer.rdfxml.renderer
Class RDFResourceRenderer

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.visitor.OWLModelVisitorAdapter
          edu.stanford.smi.protegex.owl.writer.rdfxml.renderer.RDFResourceRenderer

All Implemented Interfaces:
  OWLModelVisitor

    public class RDFResourceRenderer

extends OWLModelVisitorAdapter

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: March 22, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

A renderer that translates various OWL and RDF classes and resource to RDF/XML. Note that Anonymous resource have their properties written out as well.

Constructor Summary
`RDFResourceRenderer(Visitable rdfResource, TripleStore tripleStore, XMLWriter writer)`
`RDFResourceRenderer(Visitable rdfResource, TripleStore tripleStore, XMLWriter writer, boolean sort)`

Method Summary
`static void` | `setRenderCardinalityAsInt(boolean renderCardinalityAsInt)`
`void` | `visitOWLAllDifferent(OWLAllDifferent owlAllDifferent)` Renders and instance of owl:AllDifferent, as an rdf collection (rdf:parseType="Collection") of the distinct members.
`void` | `visitOWLAllValuesFrom(OWLAllValuesFrom owlAllValuesFrom)` Renders an allValuesFrom, or universal restriction and its various properties such as owl:onProperty, owl:allValuesFrom
`void` | `visitOWLCardinality(OWLCardinality owlCardinality)` Renders an owl:Cardinality restriction using its associated properties such as owl:onProperty.
`void` | `visitOWLComplementClass(OWLComplementClass owlComplementClass)` Renders an owl:ComplementClass.
`void` | `visitOWLDataRange(OWLDataRange owlDataRange)`
`void` | `visitOWLEnumeratedClass(OWLEnumeratedClass owlEnumeratedClass)` Renders and owl:oneOf (enumerated) class.
`void` | `visitOWLHasValue(OWLHasValue owlHasValue)`
`void` | `visitOWLIndividual(OWLIndividual owlIndividual)`
`void` | `visitOWLIntersectionClass(OWLIntersectionClass owlIntersectionClass)`
`void` | `visitOWLMaxCardinality(OWLMaxCardinality owlMaxCardinality)`
`void` | `visitOWLMinCardinality(OWLMinCardinality owlMinCardinality)`
`void` | `visitOWLNamedClass(OWLNamedClass owlNamedClass)`
`void` | `visitOWLOntology(OWLOntology owlOntology)`
`void` | `visitOWLSomeValuesFrom(OWLSomeValuesFrom owlSomeValuesFrom)`
`void` | `visitOWLUnionClass(OWLUnionClass owlUnionClass)`
`void` | `visitRDFDatatype(RDFSDatatype rdfsDatatype)`
`void` | `visitRDFExternalResource(RDFExternalResource rdfExternalResource)`
`void` | `visitRDFIndividual(RDFIndividual rdfIndividual)`
`void` | `visitRDFList(RDFList rdfList)`
`void` | `visitRDFSNamedClass(RDFSNamedClass rdfsNamedClass)`
`void` | `visitSWRLAtomListIndividual(SWRLAtomList swrlAtomList)`
`void` | `visitSWRLIndividual(SWRLIndividual swrlIndividual)`
`void` | `write()`

Methods inherited from class edu.stanford.smi.protegex.owl.model.visitor.OWLModelVisitorAdapter
`visitOWLDatatypeProperty, visitOWLObjectProperty, visitRDFProperty, visitRDFSLiteral, visitRDFUntypedResource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RDFResourceRenderer

    public RDFResourceRenderer(Visitable rdfResource,
                               TripleStore tripleStore,
                               XMLWriter writer)

### RDFResourceRenderer

    public RDFResourceRenderer(Visitable rdfResource,
                               TripleStore tripleStore,
                               XMLWriter writer,
                               boolean sort)

Method Detail

### setRenderCardinalityAsInt

    public static void setRenderCardinalityAsInt(boolean renderCardinalityAsInt)

### write

    public void write()

### visitOWLAllValuesFrom

    public void visitOWLAllValuesFrom(OWLAllValuesFrom owlAllValuesFrom)

  Renders an allValuesFrom, or universal restriction and its various properties such as owl:onProperty, owl:allValuesFrom

  Specified by:
    `visitOWLAllValuesFrom` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLAllValuesFrom` in class `OWLModelVisitorAdapter`

### visitOWLAllDifferent

    public void visitOWLAllDifferent(OWLAllDifferent owlAllDifferent)

  Renders and instance of owl:AllDifferent, as an rdf collection (rdf:parseType="Collection") of the distinct members.

  Specified by:
    `visitOWLAllDifferent` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLAllDifferent` in class `OWLModelVisitorAdapter`

### visitOWLOntology

    public void visitOWLOntology(OWLOntology owlOntology)

  Specified by:
    `visitOWLOntology` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLOntology` in class `OWLModelVisitorAdapter`

### visitOWLCardinality

    public void visitOWLCardinality(OWLCardinality owlCardinality)

  Renders an owl:Cardinality restriction using its associated properties such as owl:onProperty.

  Specified by:
    `visitOWLCardinality` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLCardinality` in class `OWLModelVisitorAdapter`

### visitOWLComplementClass

    public void visitOWLComplementClass(OWLComplementClass owlComplementClass)

  Renders an owl:ComplementClass. If the complemented class is a named class then it is inserted as an attribute.

  Specified by:
    `visitOWLComplementClass` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLComplementClass` in class `OWLModelVisitorAdapter`

### visitOWLEnumeratedClass

    public void visitOWLEnumeratedClass(OWLEnumeratedClass owlEnumeratedClass)

  Renders and owl:oneOf (enumerated) class. The class is rendered using an rdf collection.

  Specified by:
    `visitOWLEnumeratedClass` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLEnumeratedClass` in class `OWLModelVisitorAdapter`

### visitOWLHasValue

    public void visitOWLHasValue(OWLHasValue owlHasValue)

  Specified by:
    `visitOWLHasValue` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLHasValue` in class `OWLModelVisitorAdapter`

### visitOWLIndividual

    public void visitOWLIndividual(OWLIndividual owlIndividual)

  Specified by:
    `visitOWLIndividual` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLIndividual` in class `OWLModelVisitorAdapter`

### visitOWLIntersectionClass

    public void visitOWLIntersectionClass(OWLIntersectionClass owlIntersectionClass)

  Specified by:
    `visitOWLIntersectionClass` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLIntersectionClass` in class `OWLModelVisitorAdapter`

### visitOWLMaxCardinality

    public void visitOWLMaxCardinality(OWLMaxCardinality owlMaxCardinality)

  Specified by:
    `visitOWLMaxCardinality` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLMaxCardinality` in class `OWLModelVisitorAdapter`

### visitOWLMinCardinality

    public void visitOWLMinCardinality(OWLMinCardinality owlMinCardinality)

  Specified by:
    `visitOWLMinCardinality` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLMinCardinality` in class `OWLModelVisitorAdapter`

### visitOWLNamedClass

    public void visitOWLNamedClass(OWLNamedClass owlNamedClass)

  Specified by:
    `visitOWLNamedClass` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLNamedClass` in class `OWLModelVisitorAdapter`

### visitOWLSomeValuesFrom

    public void visitOWLSomeValuesFrom(OWLSomeValuesFrom owlSomeValuesFrom)

  Specified by:
    `visitOWLSomeValuesFrom` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLSomeValuesFrom` in class `OWLModelVisitorAdapter`

### visitOWLUnionClass

    public void visitOWLUnionClass(OWLUnionClass owlUnionClass)

  Specified by:
    `visitOWLUnionClass` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLUnionClass` in class `OWLModelVisitorAdapter`

### visitOWLDataRange

    public void visitOWLDataRange(OWLDataRange owlDataRange)

  Specified by:
    `visitOWLDataRange` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLDataRange` in class `OWLModelVisitorAdapter`

### visitRDFExternalResource

    public void visitRDFExternalResource(RDFExternalResource rdfExternalResource)

### visitRDFDatatype

    public void visitRDFDatatype(RDFSDatatype rdfsDatatype)

  Specified by:
    `visitRDFDatatype` in interface `OWLModelVisitor`
  Overrides:
    `visitRDFDatatype` in class `OWLModelVisitorAdapter`

### visitRDFIndividual

    public void visitRDFIndividual(RDFIndividual rdfIndividual)

  Specified by:
    `visitRDFIndividual` in interface `OWLModelVisitor`
  Overrides:
    `visitRDFIndividual` in class `OWLModelVisitorAdapter`

### visitRDFList

    public void visitRDFList(RDFList rdfList)

  Specified by:
    `visitRDFList` in interface `OWLModelVisitor`
  Overrides:
    `visitRDFList` in class `OWLModelVisitorAdapter`

### visitRDFSNamedClass

    public void visitRDFSNamedClass(RDFSNamedClass rdfsNamedClass)

  Specified by:
    `visitRDFSNamedClass` in interface `OWLModelVisitor`
  Overrides:
    `visitRDFSNamedClass` in class `OWLModelVisitorAdapter`

### visitSWRLIndividual

    public void visitSWRLIndividual(SWRLIndividual swrlIndividual)

  Specified by:
    `visitSWRLIndividual` in interface `OWLModelVisitor`
  Overrides:
    `visitSWRLIndividual` in class `OWLModelVisitorAdapter`

### visitSWRLAtomListIndividual

    public void visitSWRLAtomListIndividual(SWRLAtomList swrlAtomList)

  Specified by:
    `visitSWRLAtomListIndividual` in interface `OWLModelVisitor`
  Overrides:
    `visitSWRLAtomListIndividual` in class `OWLModelVisitorAdapter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.